Package org.apache.activemq.artemis.spi.core.security.jaas

## Class PropertiesLoginModuleConfigurator

- java.lang.Object
- - org.apache.activemq.artemis.spi.core.security.jaas.PropertiesLoginModuleConfigurator

- All Implemented Interfaces:
    `UserManagement`

      public class PropertiesLoginModuleConfigurator
      extends java.lang.Object
      implements UserManagement

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PropertiesLoginModuleConfigurator​(java.lang.String entryName, java.lang.String brokerEtc)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addNewUser​(java.lang.String username, java.lang.String hash, java.lang.String... roles)` |
    `java.util.Map<java.lang.String,​java.util.Set<java.lang.String>>` | `listUser​(java.lang.String username)` |
    `void` | `removeUser​(java.lang.String username)` |
    `void` | `save()` |
    `void` | `updateUser​(java.lang.String username, java.lang.String password, java.lang.String... roles)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertiesLoginModuleConfigurator

          public PropertiesLoginModuleConfigurator​(java.lang.String entryName,
                                                   java.lang.String brokerEtc)
                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### addNewUser

          public void addNewUser​(java.lang.String username,
                                 java.lang.String hash,
                                 java.lang.String... roles)

      Specified by:
        `addNewUser` in interface `UserManagement`

    - #### save

          public void save()
                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### removeUser

          public void removeUser​(java.lang.String username)

      Specified by:
        `removeUser` in interface `UserManagement`

    - #### listUser

          public java.util.Map<java.lang.String,​java.util.Set<java.lang.String>> listUser​(java.lang.String username)

      Specified by:
        `listUser` in interface `UserManagement`

    - #### updateUser

          public void updateUser​(java.lang.String username,
                                 java.lang.String password,
                                 java.lang.String... roles)

      Specified by:
        `updateUser` in interface `UserManagement`